package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkCommonQianpi implements Serializable {
    private String id;

    /**
     * 任务id
     *
     * @mbg.generated
     */
    private String tkId;

    /**
     * 领导用户id
     *
     * @mbg.generated
     */
    private String leaderUserId;

    /**
     * 领导用户名
     *
     * @mbg.generated
     */
    private String leaderUserName;

    /**
     * 用户id
     *
     * @mbg.generated
     */
    private String userId;

    /**
     * 用户名
     *
     * @mbg.generated
     */
    private String userName;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 备注
     *
     * @mbg.generated
     */
    private String note;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTkId() {
        return tkId;
    }

    public void setTkId(String tkId) {
        this.tkId = tkId;
    }

    public String getLeaderUserId() {
        return leaderUserId;
    }

    public void setLeaderUserId(String leaderUserId) {
        this.leaderUserId = leaderUserId;
    }

    public String getLeaderUserName() {
        return leaderUserName;
    }

    public void setLeaderUserName(String leaderUserName) {
        this.leaderUserName = leaderUserName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", tkId=").append(tkId);
        sb.append(", leaderUserId=").append(leaderUserId);
        sb.append(", leaderUserName=").append(leaderUserName);
        sb.append(", userId=").append(userId);
        sb.append(", userName=").append(userName);
        sb.append(", createTime=").append(createTime);
        sb.append(", note=").append(note);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonQianpi other = (TkCommonQianpi) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTkId() == null ? other.getTkId() == null : this.getTkId().equals(other.getTkId()))
            && (this.getLeaderUserId() == null ? other.getLeaderUserId() == null : this.getLeaderUserId().equals(other.getLeaderUserId()))
            && (this.getLeaderUserName() == null ? other.getLeaderUserName() == null : this.getLeaderUserName().equals(other.getLeaderUserName()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserName() == null ? other.getUserName() == null : this.getUserName().equals(other.getUserName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTkId() == null) ? 0 : getTkId().hashCode());
        result = prime * result + ((getLeaderUserId() == null) ? 0 : getLeaderUserId().hashCode());
        result = prime * result + ((getLeaderUserName() == null) ? 0 : getLeaderUserName().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserName() == null) ? 0 : getUserName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        return result;
    }
}